package com.lz.modules.equipment.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.equipment.dao.EquipmentQrMapper;
import com.lz.modules.equipment.entity.EquipmentQr;
import com.lz.modules.equipment.service.EquipmentQrService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 设备表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-06
*/

@Service
public class EquipmentQrServiceImpl extends ServiceImpl<EquipmentQrMapper, EquipmentQr> implements EquipmentQrService {


    @Autowired
	private EquipmentQrMapper equipmentQrMapper;



	@Override
	public EquipmentQr selectEquipmentQrById(Long id){
		return equipmentQrMapper.selectEquipmentQrById(id);
	}



	@Override
	public Long insertEquipmentQr(EquipmentQr equipmentQr){
		return equipmentQrMapper.insertEquipmentQr(equipmentQr);
	}



	@Override
	public int updateEquipmentQrById(EquipmentQr equipmentQr){
		return equipmentQrMapper.updateEquipmentQrById(equipmentQr);
	}



	@Override
	public int updateCoverEquipmentQrById(EquipmentQr equipmentQr){
		return equipmentQrMapper.updateCoverEquipmentQrById(equipmentQr);
	}



	@Override
	public int deleteEquipmentQrById(Long id){
		return equipmentQrMapper.deleteEquipmentQrById(id);
	}

    @Override
    public EquipmentQr selectByOwnerIdType(Long ownerId, int type,Long specsId) {
        return equipmentQrMapper.selectByOwnerIdType(ownerId,type,specsId);
    }

	@Override
	public List<EquipmentQr> findRrBySpec(Long specsId) {
		return equipmentQrMapper.findRrBySpec(specsId);
	}
}
